## openexr 2.5.4

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

# We require this to get object library link library support and
# combined python 2 + 3 support
if(OPENEXR_BUILD_BOTH_STATIC_SHARED OR ILMBASE_BUILD_BOTH_STATIC_SHARED)
  if (${CMAKE_VERSION} VERSION_LESS "3.12.0")
    message(FATAL_ERROR "CMake 3.12 or newer is required for object library support when building both static and shared libraries")
  endif()
  cmake_minimum_required(VERSION 3.12)
else()
  cmake_minimum_required(VERSION 3.10)
endif()

if(POLICY CMP0074)
  cmake_policy(SET CMP0074 NEW)
endif()

# Hint: This can be set to enable custom find_package
# search paths, probably best to set it when configuring
# on the command line to cmake instead of setting it
# here.
###set(CMAKE_PREFIX_PATH "/prefix")

project(OpenEXRMetaProject)

# If you want to use ctest to configure, build and
# upload the results, cmake has builtin support for
# submitting to CDash, or any server who speaks the
# same protocol
# 
# These settings will need to be set for your environment,
# and then a script such as the example in
#
# cmake/SampleCTestScript.cmake
#
# edited and placed into the CI system, then run:
#
# cmake -S cmake/SampleCTestScript.cmake
#
# [or whatever you name the file you edit]
# 
#set(CTEST_PROJECT_NAME "OpenEXR")
#set(CTEST_NIGHTLY_START_TIME "01:01:01 UTC")
#set(CTEST_DROP_METHOD "http") # there are others...
#set(CTEST_DROP_SITE "open.cdash.org")
#set(CTEST_DROP_LOCATION "/submit.php?project=MyProject")
#set(CTEST_DROP_SITE_CDASH TRUE)

include(CTest)
if(BUILD_TESTING)
  enable_testing()
endif()

#######################################

# Include these two modules without enable/disable options
add_subdirectory(IlmBase)

# Tell CMake where to find the IlmBaseConfig.cmake file. Makes it posible to call 
# find_package(IlmBase) in downstream projects
set(IlmBase_DIR "${CMAKE_CURRENT_BINARY_DIR}/IlmBase/config" CACHE PATH "" FORCE)
# Add an empty IlmBaseTargets.cmake file for the config to use. 
# Can be empty since we already defined the targets in add_subdirectory
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/IlmBase/config/IlmBaseTargets.cmake" "# Dummy file")

add_subdirectory(OpenEXR)

# Tell CMake where to find the OpenEXRConfig.cmake file. Makes it posible to call 
# find_package(OpenEXR) in downstream projects
set(OpenEXR_DIR "${CMAKE_CURRENT_BINARY_DIR}/OpenEXR/config" CACHE PATH "" FORCE)
# Add an empty OpenEXRTargets.cmake file for the config to use. 
# Can be empty since we already defined the targets in add_subdirectory
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/OpenEXR/config/OpenEXRTargets.cmake" "# Dummy file")

# should this just be always on and we conditionally compile what
# is found and warn otherwise? or error out?
option(PYILMBASE_ENABLE "Enables configuration of the PyIlmBase module" ON)
if(PYILMBASE_ENABLE)
  if (${CMAKE_VERSION} VERSION_LESS "3.12.0")
    message(WARNING ": CMake version ${CMAKE_VERSION} detected, PyIlmBase uses newer features of cmake (>= 3.12), disabling")
  else()
    add_subdirectory(PyIlmBase)
  endif()
endif()

# Including this module will add a `clang-format` target to the build if
# the clang-format executable can be found.
include(cmake/clang-format.cmake)

=== IlmBase/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

# We require this to get object library link library support and
# combined python 2 + 3 support
if(ILMBASE_BUILD_BOTH_STATIC_SHARED)
  if (${CMAKE_VERSION} VERSION_LESS "3.12.0")
    message(FATAL_ERROR "CMake 3.12 or newer is required for object library support when building both static and shared libraries")
  endif()
  cmake_minimum_required(VERSION 3.12)
else()
  cmake_minimum_required(VERSION 3.10)
endif()

if(POLICY CMP0074)
  cmake_policy(SET CMP0074 NEW)
endif()

# we include this first to parse configure.ac and extract the version
# numbers
include(config/ParseConfigure.cmake)

#set up our project
project(IlmBase VERSION ${ILMBASE_VERSION} LANGUAGES C CXX)

#######################################
#######################################
# This declares all the configuration variables visible
# in cmake-gui or similar and the rest of the global
# project setup
#
# Please look at this file to see what is configurable
#######################################
#######################################
include(config/IlmBaseSetup.cmake)

# generates config headers, package config files
add_subdirectory(config)

# utility function for the repeated boilerplate of defining
# the libraries
include(config/LibraryDefine.cmake)

add_subdirectory( Half )
add_subdirectory( Iex )
add_subdirectory( IexMath )
add_subdirectory( Imath )
add_subdirectory( IlmThread )

# Can't seem to do EXCLUDE_FROM_ALL on the test executables
# since you can't then create a dependency on the internal
# "test" target such that it is auto built
include(CTest)
if(BUILD_TESTING)
  enable_testing()

  add_subdirectory( HalfTest )
  add_subdirectory( IexTest )
  add_subdirectory( ImathTest )
endif()

=== OpenEXR/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

# We require this to get object library link library support and
# combined python 2 + 3 support
if(OPENEXR_BUILD_BOTH_STATIC_SHARED)
  if (${CMAKE_VERSION} VERSION_LESS "3.12.0")
    message(FATAL_ERROR "CMake 3.12 or newer is required for object library support when building both static and shared libraries")
  endif()
  cmake_minimum_required(VERSION 3.12)
else()
  cmake_minimum_required(VERSION 3.10)
endif()

if(POLICY CMP0074)
  cmake_policy(SET CMP0074 NEW)
endif()

# we include this first to parse configure.ac and extract the version
# numbers
include(config/ParseConfigure.cmake)

project(OpenEXR VERSION ${OPENEXR_VERSION} LANGUAGES C CXX)

#######################################
#######################################
# This declares all the configuration variables visible
# in cmake-gui or similar and the rest of the global
# project setup
#
# Please look at this file to see what is configurable
#######################################
#######################################
include(config/OpenEXRSetup.cmake)

# Everyone depends on IlmBase, and we currently rely on
# the version matched with our release
find_package(IlmBase ${OPENEXR_VERSION} EXACT REQUIRED CONFIG)

# generates config headers, package config files
add_subdirectory(config)

# utility function for the repeated boilerplate of defining
# the libraries
include(config/LibraryDefine.cmake)

##########################

add_subdirectory( IlmImf )
add_subdirectory( IlmImfUtil )

option(INSTALL_OPENEXR_EXAMPLES "Install OpenEXR examples" ON)
if(INSTALL_OPENEXR_EXAMPLES)
  add_subdirectory( IlmImfExamples )
endif()

##########################
# Tests
##########################
# Can't seem to do EXCLUDE_FROM_ALL on the test executables
# since you can't then create a dependency on the internal
# "test" target such that it is auto built
include(CTest)
if(BUILD_TESTING)
  enable_testing()
  add_subdirectory( IlmImfTest )
  add_subdirectory( IlmImfUtilTest )
  add_subdirectory( IlmImfFuzzTest )
endif()

##########################
# Binaries / Utilities
##########################
if(OPENEXR_BUILD_UTILS)
  add_subdirectory( exr2aces )
  add_subdirectory( exrheader )
  add_subdirectory( exrmaketiled )
  add_subdirectory( exrstdattr )
  add_subdirectory( exrmakepreview )
  add_subdirectory( exrenvmap )
  add_subdirectory( exrmultiview )
  add_subdirectory( exrmultipart )
endif()

option(INSTALL_OPENEXR_DOCS "Install OpenEXR documentation" ON)
if(INSTALL_OPENEXR_DOCS)
  add_subdirectory(doc)
endif()

=== PyIlmBase/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

# We require this to get object library link library support and
# combined python 2 + 3 support
cmake_minimum_required(VERSION 3.12)

if(POLICY CMP0074)
  cmake_policy(SET CMP0074 NEW)
endif()

# we include this first to parse configure.ac and extract the version
# numbers
include(config/ParseConfigure.cmake)

project(PyIlmBase VERSION ${PYILMBASE_VERSION} LANGUAGES C CXX)

#######################################
#######################################
# This declares all the configuration variables visible
# in cmake-gui or similar and the rest of the global
# project setup
#
# Please look at this file to see what is configurable
#######################################
#######################################
include(config/PyIlmBaseSetup.cmake)

# we have a strong dependence on IlmBase being an exact match
find_package(IlmBase ${PYILMBASE_VERSION} EXACT REQUIRED CONFIG)

# we are building a python extension, so of course we depend on
# python as well. Except we don't know which version...
# cmake 3.14 can also search for numpy, but we only depend on 3.12
# in the rest of OpenEXR right now...

# first make sure we find *some* python
find_package(Python COMPONENTS Interpreter Development)
if(NOT TARGET Python::Interpreter AND NOT TARGET Python::Python)
  message(WARNING ": Unable to find any python interpreter or libraries, disabling PyIlmBase")
  return()
endif()

# now determine which (or both), and compile for both
find_package(Python2 COMPONENTS Interpreter Development)
find_package(Python3 COMPONENTS Interpreter Development)
if(Python2_FOUND)
  message(STATUS ": Found Python ${Python2_VERSION}")
elseif(Python2::Python)
  message(WARNING ": Found Python ${Python2_VERSION} development libraries, but no interpreter")
elseif(Python2::Interpreter)
  message(WARNING ": Found Python ${Python2_VERSION} interpreter, but no development libraries")
else()
  message(WARNING ": Unable to find Python2 interpreter or development libraries")
endif()
if(Python3_FOUND)
  message(STATUS ": Found Python ${Python3_VERSION}")
elseif(Python3::Python)
  message(WARNING ": Found Python ${Python3_VERSION} development libraries, but no interpreter")
elseif(Python3::Interpreter)
  message(WARNING ": Found Python ${Python3_VERSION} interpreter, but no development libraries")
else()
  message(WARNING ": Unable to find Python3 interpreter or development libraries")
endif()
if (NOT Python2_FOUND AND NOT Python3_FOUND)
  message(WARNING ": Disabling PyIlmBase")
  return()
endif()

# Now that we know what versions of python we have, let's look
# for our other dependency - boost.
# Boost Python has some .. annoyances in that the python module
# has version names attached to it
function(PYILMBASE_EXTRACT_REL_SITEARCH varname pyver pyexe pysitearch)
  get_filename_component(_exedir ${pyexe} DIRECTORY)
  # we do this such that cmake will canonicalize the slashes
  # so the directory search will work under windows and unix
  # consistently
  get_filename_component(_basedir ${pysitearch} DIRECTORY)
  get_filename_component(_basename ${pysitearch} NAME)
  set(_basedir "${_basedir}/${_basename}")
  string(FIND ${_basedir} ${_exedir} _findloc)
  string(LENGTH ${_exedir} _elen)
  while(_findloc EQUAL -1 AND _elen GREATER 0)
    get_filename_component(_nexedir ${_exedir} DIRECTORY)
    string(FIND ${_basedir} ${_nexedir} _findloc)
    if (_nexedir STREQUAL _exedir)
        message(WARNING "Unable to get parent directory for ${_exedir}, using absolute python site arch folder ${pysitearch}")
        set(_elen -1)
        break()
    else()
        set(_exedir ${_nexedir})
    endif()
    string(LENGTH ${_exedir} _elen)
  endwhile()
  math(EXPR _elen "${_elen}+1")
  string(SUBSTRING ${_basedir} ${_elen} -1 _reldir)
  if(APPLE)
    # on macOS, set install path to user's python package directory
    # so that elevated privileges are not necessary
    execute_process(
      COMMAND "${pyexe}" -c "if True:
        import sysconfig
        print(sysconfig.get_path('platlib', 'posix_user'))"
      OUTPUT_VARIABLE _reldir
      OUTPUT_STRIP_TRAILING_WHITESPACE)
  endif()
  set(${varname} ${_reldir} CACHE STRING "Destination sub-folder (relative) for the python ${pyver} modules")
  message(STATUS "  -> Will install to: ${_reldir}")
endfunction()

if(Python2_FOUND)
  set(PYILMBASE_BOOST_PY2_COMPONENT "python${Python2_VERSION_MAJOR}${Python2_VERSION_MINOR}")
  message(STATUS "Found Python2 libraries: ${Python2_VERSION_MAJOR}${Python2_VERSION_MINOR}")
  # we can't just use the Python2_SITEARCH variable as that then will
  # ignore CMAKE_INSTALL_PREFIX. Could extract this to a function somewhere
  # if it is generally useful
  pyilmbase_extract_rel_sitearch(PyIlmBase_Python2_SITEARCH_REL 2 ${Python2_EXECUTABLE} ${Python2_SITEARCH})
endif()
if(Python3_FOUND)
  set(PYILMBASE_BOOST_PY3_COMPONENT "python${Python3_VERSION_MAJOR}${Python3_VERSION_MINOR}")
  message(STATUS "Found Python3 libraries: ${Python3_VERSION_MAJOR}${Python3_VERSION_MINOR}")
  # and figure out the install root here
  pyilmbase_extract_rel_sitearch(PyIlmBase_Python3_SITEARCH_REL 3 ${Python3_EXECUTABLE} ${Python3_SITEARCH})
endif()

# different flavors of O.S. have multiple versions of python
# some of them have both. Then for boost, some versions of boost
# have just a python component, some it's by major version (python2/python3)
# and still others have maj/min (python27)
# let's run a search and see what we get instead of making it
# an explicit required. The older names are not portable, but
# we'll do the best we can

### NB: We are turning this on globally by default as the boost
###     generated cmake config files seem to be broken and they
###     cross-wire python 2 with 3 in the same variables
option(Boost_NO_BOOST_CMAKE "Disable boost-provided cmake config" ON)
if(Boost_NO_BOOST_CMAKE)
  message(STATUS "Disabling boost-provided cmake config. If this causes problems, consider setting Boost_NO_BOOST_CMAKE variable to OFF")
endif()

find_package(Boost OPTIONAL_COMPONENTS
  python
  python2
  ${PYILMBASE_BOOST_PY2_COMPONENT}
  python3
  ${PYILMBASE_BOOST_PY3_COMPONENT})
set(_pyilmbase_have_perver_boost)
if(PYILMBASE_BOOST_PY2_COMPONENT)
  string(TOUPPER ${PYILMBASE_BOOST_PY2_COMPONENT} PYILMBASE_PY2_UPPER)
else()
  set(PYILMBASE_BOOST_PY2_COMPONENT python2x_NOTFOUND)
  set(PYILMBASE_PY2_UPPER PYTHON2X_NOTFOUND)
endif()
if(PYILMBASE_BOOST_PY3_COMPONENT)
  string(TOUPPER ${PYILMBASE_BOOST_PY3_COMPONENT} PYILMBASE_PY3_UPPER)
else()
  set(PYILMBASE_BOOST_PY3_COMPONENT python3x_NOTFOUND)
  set(PYILMBASE_PY3_UPPER PYTHON3X_NOTFOUND)
endif()
if(Boost_PYTHON2_FOUND OR Boost_${PYILMBASE_PY2_UPPER}_FOUND)
  set(_pyilmbase_have_perver_boost TRUE)
  if(NOT Boost_${PYILMBASE_PY2_UPPER}_FOUND)
    message(WARNING "Legacy Boost python2 found, but does not include minor version, this is an old configuration and may not be portable")
    set(PYILMBASE_BOOST_PY2_COMPONENT python2)
  endif()
endif()
if(Boost_PYTHON3_FOUND OR Boost_${PYILMBASE_PY3_UPPER}_FOUND)
  set(_pyilmbase_have_perver_boost TRUE)
  if(NOT Boost_${PYILMBASE_PY3_UPPER}_FOUND)
    message(WARNING "Legacy Boost python3 found, but does not include minor version, this is an old configuration and may not be portable")
    set(PYILMBASE_BOOST_PY3_COMPONENT python3)
  endif()
endif()

if(Boost_PYTHON_FOUND AND NOT _pyilmbase_have_perver_boost)
  # old boost case, I guess we just warn and assume it is python2 (likely)
  message(WARNING "Ambiguous boost python module found, assuming python 2. If you have a new boost library, try cleaning the cmake cache and reconfigure with -DBoost_NO_BOOST_CMAKE=ON")
  set(PYILMBASE_BOOST_PY2_COMPONENT python)
  # set it to a bogus string but not empty so later we don't test against a namespace only target
  set(PYILMBASE_BOOST_PY3_COMPONENT pythonIgnore)
elseif(NOT _pyilmbase_have_perver_boost)
  message(WARNING "Unable to find boost::python library, disabling PyIlmBase. If you believe this is wrong, check the cmake documentation and see if you need to set Boost_ROOT or Boost_NO_BOOST_CMAKE")
  return()
else()
  if(TARGET Boost::${PYILMBASE_BOOST_PY2_COMPONENT})
    message(STATUS " -> Found Python 2 boost: Boost::${PYILMBASE_BOOST_PY2_COMPONENT}")
  elseif(Boost_PYTHON2_FOUND OR Boost_${PYILMBASE_PY2_UPPER}_FOUND)
    message(WARNING "Found boost for python 2, but FindBoost did not create an import library. If you believe this is wrong, check the cmake documentation and see if you need to set Boost_ROOT or Boost_NO_BOOST_CMAKE")
    return()
  endif()
  if(TARGET Boost::${PYILMBASE_BOOST_PY3_COMPONENT})
    message(STATUS " -> Found Python 3 boost: Boost::${PYILMBASE_BOOST_PY3_COMPONENT}")
  elseif(Boost_PYTHON3_FOUND OR Boost_${PYILMBASE_PY3_UPPER}_FOUND)
    message(WARNING "Found boost for python 3, but FindBoost did not create an import library. If you believe this is wrong, check the cmake documentation and see if you need to set Boost_ROOT or Boost_NO_BOOST_CMAKE")
    return()
  endif()
endif()
unset(PYILMBASE_PY2_UPPER)
unset(PYILMBASE_PY3_UPPER)
unset(_pyilmbase_have_perver_boost)

# unfortunately, we can't use the boost numpy stuff, as that requires a
# version of boost that is newer than is mandated by many active versions
# of the VFX reference platform (numpy became active in 1.63 of boost).
# rather than make this an "official" find package thing
include(config/NumPyLocate.cmake)


# utility function for the repeated boilerplate of defining
# the libraries and/or python modules
include(config/ModuleDefine.cmake)

##########################
add_subdirectory(config)

if(NOT BUILD_SHARED_LIBS)
  message(WARNING "Forcing python bindings to be built with dynamic libraries")
endif()

add_subdirectory( PyIex )
add_subdirectory( PyImath )
if(TARGET Python2::IlmBaseNumPy OR TARGET Python3::IlmBaseNumPy)
  add_subdirectory( PyImathNumpy )
endif()

##########################
# Tests
##########################
include(CTest)
if(BUILD_TESTING)
  enable_testing()
  add_subdirectory( PyIexTest )
  add_subdirectory( PyImathTest )
  if(TARGET Python2::IlmBaseNumPy OR TARGET Python3::IlmBaseNumPy)
    add_subdirectory( PyImathNumpyTest )
  endif()
endif()

=== IlmBase/Iex/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

ilmbase_define_library(Iex
  PRIV_EXPORT IEX_EXPORTS
  CURDIR ${CMAKE_CURRENT_SOURCE_DIR}
  SOURCES
    IexBaseExc.cpp
    IexThrowErrnoExc.cpp
  HEADERS
    IexBaseExc.h
    IexMathExc.h
    IexThrowErrnoExc.h
    IexErrnoExc.h
    IexMacros.h
    Iex.h
    IexNamespace.h
    IexExport.h
    IexForward.h
  )

=== IlmBase/IexTest/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

add_executable(IexTest
  main.cpp
  testBaseExc.cpp
)

target_link_libraries(IexTest IlmBase::Iex)
set_target_properties(IexTest PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin"
)
if(WIN32 AND (BUILD_SHARED_LIBS OR OPENEXR_BUILD_BOTH_STATIC_SHARED))
  target_compile_definitions(IexTest PRIVATE OPENEXR_DLL)
endif()
add_test(NAME IlmBase.Iex COMMAND $<TARGET_FILE:IexTest>)

=== IlmBase/Imath/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

ilmbase_define_library(Imath
  PRIV_EXPORT IMATH_EXPORTS
  CURDIR ${CMAKE_CURRENT_SOURCE_DIR}
  SOURCES
    ImathRandom.cpp
    ImathColorAlgo.cpp
    ImathFun.cpp
    ImathVec.cpp
    ImathExc.cpp
    ImathMatrixAlgo.cpp
  HEADERS
    ImathBoxAlgo.h
    ImathBox.h
    ImathColorAlgo.h
    ImathColor.h
    ImathEuler.h
    ImathExc.h
    ImathExport.h
    ImathForward.h
    ImathFrame.h
    ImathFrustum.h
    ImathFrustumTest.h
    ImathFun.h
    ImathGL.h
    ImathGLU.h
    ImathHalfLimits.h
    ImathInt64.h
    ImathInterval.h
    ImathLimits.h
    ImathLineAlgo.h
    ImathLine.h
    ImathMath.h
    ImathMatrixAlgo.h
    ImathMatrix.h
    ImathNamespace.h
    ImathPlane.h
    ImathPlatform.h
    ImathQuat.h
    ImathRandom.h
    ImathRoots.h
    ImathShear.h
    ImathSphere.h
    ImathVecAlgo.h
    ImathVec.h
  DEPENDENCIES
    IlmBase::Half IlmBase::IexMath
)

=== OpenEXR/IlmImfUtil/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

openexr_define_library(IlmImfUtil
  PRIV_EXPORT ILMIMFUTIL_EXPORTS
  CURDIR ${CMAKE_CURRENT_SOURCE_DIR}
  SOURCES
    ImfImageChannel.cpp
    ImfFlatImageChannel.cpp
    ImfDeepImageChannel.cpp
    ImfSampleCountChannel.cpp
    ImfImageLevel.cpp
    ImfFlatImageLevel.cpp
    ImfDeepImageLevel.cpp
    ImfImage.cpp
    ImfFlatImage.cpp
    ImfDeepImage.cpp
    ImfImageIO.cpp
    ImfFlatImageIO.cpp
    ImfDeepImageIO.cpp
    ImfImageDataWindow.cpp
  HEADERS
    ImfImageChannel.h
    ImfFlatImageChannel.h
    ImfDeepImageChannel.h
    ImfSampleCountChannel.h
    ImfImageLevel.h
    ImfFlatImageLevel.h
    ImfDeepImageLevel.h
    ImfImage.h
    ImfFlatImage.h
    ImfDeepImage.h
    ImfImageIO.h
    ImfFlatImageIO.h
    ImfDeepImageIO.h
    ImfImageDataWindow.h
    ImfImageChannelRenaming.h
    ImfUtilExport.h
  DEPENDENCIES
    OpenEXR::IlmImf
)

=== OpenEXR/exrmultiview/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

add_executable(exrmultiview
  makeMultiView.cpp
  main.cpp
  Image.cpp
)
target_link_libraries(exrmultiview OpenEXR::IlmImf)
set_target_properties(exrmultiview PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin"
)
install(TARGETS exrmultiview DESTINATION ${CMAKE_INSTALL_BINDIR})
if(WIN32 AND (BUILD_SHARED_LIBS OR OPENEXR_BUILD_BOTH_STATIC_SHARED))
  target_compile_definitions(exrmultiview PRIVATE OPENEXR_DLL)
endif()

=== OpenEXR_Viewers/exrdisplay/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

add_executable(exrdisplay
	main.cpp 
	ImageView.cpp
	ImageView.h
	loadImage.cpp
	loadImage.h
	scaleImage.cpp
	scaleImage.h
	applyCtl.cpp
	applyCtl.h
	GlWindow3d.h
	GlWindow3d.cpp
)
target_include_directories(exrdisplay PRIVATE ${FLTK_INCLUDE_DIR})
target_link_libraries(exrdisplay
  ${FLTK_LIBRARIES}
  OpenGL::GL
  OpenEXR::IlmImf
)
set_target_properties(exrdisplay PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin"
)

install(TARGETS exrdisplay DESTINATION ${CMAKE_INSTALL_BINDIR})

=== PyIlmBase/PyImathNumpy/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

if(TARGET Python2::Python AND
   TARGET Boost::${PYILMBASE_BOOST_PY2_COMPONENT} AND
   TARGET Python2::IlmBaseNumPy)

  set(moddeps_p2 PyIex PyImath)
  list(TRANSFORM moddeps_p2 APPEND ${PYILMBASE_LIB_PYTHONVER_ROOT}${Python2_VERSION_MAJOR}_${Python2_VERSION_MINOR})

  Python2_add_library(imathnumpy_python2 MODULE
    imathnumpymodule.cpp
  )
  target_link_libraries(imathnumpy_python2
    PRIVATE
      IlmBase::Iex IlmBase::IexMath IlmBase::Imath
      ${moddeps_p2}
      Python2::Python
      Boost::${PYILMBASE_BOOST_PY2_COMPONENT}
      Python2::IlmBaseNumPy
    )
  set_target_properties(imathnumpy_python2 PROPERTIES
    LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/python${Python2_VERSION_MAJOR}_${Python2_VERSION_MINOR}/"
    LIBRARY_OUTPUT_NAME "imathnumpy"
    DEBUG_POSTFIX ""
  )
endif()

if(TARGET Python3::Python AND
   TARGET Boost::${PYILMBASE_BOOST_PY3_COMPONENT} AND
   TARGET Python3::IlmBaseNumPy)

  set(moddeps_p3 PyIex PyImath)
  list(TRANSFORM moddeps_p3 APPEND ${PYILMBASE_LIB_PYTHONVER_ROOT}${Python3_VERSION_MAJOR}_${Python3_VERSION_MINOR})

  Python3_add_library(imathnumpy_python3 MODULE
    imathnumpymodule.cpp
  )
  target_link_libraries(imathnumpy_python3
    PRIVATE
      IlmBase::Iex IlmBase::IexMath IlmBase::Imath
      ${moddeps_p3}
      Python3::Python
      Boost::${PYILMBASE_BOOST_PY3_COMPONENT}
      Python3::IlmBaseNumPy
    )
  set_target_properties(imathnumpy_python3 PROPERTIES
    LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/python${Python3_VERSION_MAJOR}_${Python3_VERSION_MINOR}/"
    LIBRARY_OUTPUT_NAME "imathnumpy"
    DEBUG_POSTFIX ""
  )
endif()

=== PyIlmBase/config/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

### The autoconf setup for this folder generates a PyIlmBaseConfig.h file
### but no source actually uses that, so let's elide that for now

configure_file(PyIlmBaseConfigInternal.h.in_cmake ${CMAKE_CURRENT_BINARY_DIR}/PyIlmBaseConfigInternal.h)
add_library(PyIlmBaseConfig INTERFACE)
target_include_directories(PyIlmBaseConfig INTERFACE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
install(TARGETS PyIlmBaseConfig EXPORT ${PROJECT_NAME})
add_library(PyIlmBase::Config ALIAS PyIlmBaseConfig)

if(PYILMBASE_INSTALL_PKG_CONFIG)
  # use a helper function to avoid variable pollution, but pretty simple
  function(pyilmbase_pkg_config_help pcinfile)
    set(prefix ${CMAKE_INSTALL_PREFIX})
    set(exec_prefix ${CMAKE_INSTALL_BINDIR})
    set(libdir ${CMAKE_INSTALL_LIBDIR})
    set(includedir ${CMAKE_INSTALL_INCLUDEDIR})
    set(LIB_SUFFIX_DASH ${OPENEXR_LIB_SUFFIX})
    string(REPLACE ".in" "" pcout ${pcinfile})
    configure_file(${pcinfile} ${CMAKE_CURRENT_BINARY_DIR}/${pcout} @ONLY)
    install(
        FILES ${CMAKE_CURRENT_BINARY_DIR}/${pcout}
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
    )
  endfunction()
  pyilmbase_pkg_config_help(../PyIlmBase.pc.in)
endif()

# The main export of the configuration - This is the
# moral equivalent of a pkg-config file for cmake
# and replaces the Find*.cmake of the "old" cmake
include(CMakePackageConfigHelpers)

write_basic_package_version_file("${PROJECT_NAME}ConfigVersion.cmake"
  VERSION ${PYILMBASE_VERSION}
  COMPATIBILITY SameMajorVersion
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
)
install(EXPORT ${PROJECT_NAME}
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
  FILE ${PROJECT_NAME}Config.cmake
  NAMESPACE ${PROJECT_NAME}::
  EXPORT_LINK_INTERFACE_LIBRARIES
)

=== debian/changelog ===
openexr (2.5.4-2+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2021-3598, CVE-2021-3605, CVE-2021-3933, CVE-2021-3941,
    CVE-2021-23215, CVE-2021-26260 and CVE-2021-45942.
    Multiple security vulnerabilities have been found in OpenEXR, command-line
    tools and a library for the OpenEXR image format. Buffer overflows or
    out-of-bound reads could lead to a denial of service (application crash) if
    a malformed image file is processed.
    (Closes: #992703, #990450, #990899, #1014828, #1014828)

 -- Markus Koschany <apo@debian.org>  Sat, 10 Dec 2022 14:53:33 +0100

openexr (2.5.4-2) unstable; urgency=high

  * debian/patches/: patchset updated
    - CVE-2021-23169.diff added (Closes: #988240)
    | This patch aims to fix CVE-2021-23169:
    |   Heap-buffer-overflow in Imf_2_5::copyIntoFrameBuffer
    | The patch applied is a reduced version of the upstream
    | commit, given the code base has changed in the meanwhile.

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 18 May 2021 23:26:12 +0200

openexr (2.5.4-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: parameters updated
  * debian/control:
    - S-V bump 4.5.0 -> 4.5.1 (no changes needed)
    - set minimal ilmbase lib to v2.5.4

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 21 Jan 2021 23:24:00 +0100

=== debian/control ===
Source: openexr
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders:
 Mathieu Malaterre <malat@debian.org>,
 Matteo F. Vescovi <mfv@debian.org>
Build-Conflicts:
 libopenexr-dev (<< 2.2.0-1)
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-buildinfo,
 dpkg-dev (>= 1.18.0),
 libilmbase-dev (>= 2.5.4),
 pkg-config,
 zlib1g-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://www.openexr.com
Vcs-Git: https://salsa.debian.org/debian-phototools-team/openexr.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/openexr

Package: openexr
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: exrtools
Description: command-line tools for the OpenEXR image format
 OpenEXR is a high dynamic-range (HDR) image file format developed by
 Industrial Light & Magic for use in computer imaging applications.
 .
 OpenEXR's features include:
    * Higher dynamic range and colour precision than existing 8- and
      10-bit image file formats.
    * Support for the "half" 16-bit floating-point pixel format.
    * Multiple lossless image compression algorithms. Some of the
      included codecs can achieve 2:1 lossless compression ratios on
      images with film grain.
    * Extensibility. New compression codecs and image types can easily
      be added by extending the C++ classes included in the OpenEXR
      software distribution. New image attributes (strings, vectors,
      integers, etc.) can be added to OpenEXR image headers without
      affecting backward compatibility with existing OpenEXR
      applications.
 .
 This package contains the following tools:
    * exrheader, a utility for dumping header information.
    * exrstdattr, a utility for modifying OpenEXR standard attributes.
    * exrmaketiled, for generating tiled and rip/mipmapped images.
    * exrenvmap, for creating OpenEXR environment maps.
    * exrmakepreview, for creating preview images for OpenEXR files.

Package: openexr-doc
Section: doc
Architecture: all
Depends:
 doc-base,
 ${misc:Depends}
Breaks: openexr (<< 1.6.1-9)
Replaces: openexr (<< 1.6.1-9)
Description: documentation and examples for the OpenEXR image format
 OpenEXR is a high dynamic-range (HDR) image file format developed by
 Industrial Light & Magic for use in computer imaging applications.
 .
 OpenEXR's features include:
    * Higher dynamic range and colour precision than existing 8- and
      10-bit image file formats.
    * Support for the "half" 16-bit floating-point pixel format.
    * Multiple lossless image compression algorithms. Some of the
      included codecs can achieve 2:1 lossless compression ratios on
      images with film grain.
    * Extensibility. New compression codecs and image types can easily
      be added by extending the C++ classes included in the OpenEXR
      software distribution. New image attributes (strings, vectors,
      integers, etc.) can be added to OpenEXR image headers without
      affecting backward compatibility with existing OpenEXR
      applications.
 .
 This package contains documentation for the format and examples

Package: libopenexr-dev
Section: libdevel
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libilmbase-dev (>= 2.5.1),
 libopenexr25 (= ${binary:Version}),
 ${misc:Depends}
Description: development files for the OpenEXR image library
 OpenEXR is a high dynamic-range (HDR) image file format developed by
 Industrial Light & Magic for use in computer imaging applications.
 .
 OpenEXR's features include:
    * Higher dynamic range and colour precision than existing 8- and
      10-bit image file formats.
    * Support for the "half" 16-bit floating-point pixel format.
    * Multiple lossless image compression algorithms. Some of the
      included codecs can achieve 2:1 lossless compression ratios on
      images with film grain.
    * Extensibility. New compression codecs and image types can easily
      be added by extending the C++ classes included in the OpenEXR
      software distribution. New image attributes (strings, vectors,
      integers, etc.) can be added to OpenEXR image headers without
      affecting backward compatibility with existing OpenEXR
      applications.
 .
 This package contains the header files required if you wish to
 compile/develop applications that use OpenEXR libraries.

Package: libopenexr25
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: libopenexr23 (= 2.3.0-3)
Replaces: libopenexr23 (= 2.3.0-3)
Description: runtime files for the OpenEXR image library
 OpenEXR is a high dynamic-range (HDR) image file format developed by
 Industrial Light & Magic for use in computer imaging applications.
 .
 OpenEXR's features include:
    * Higher dynamic range and colour precision than existing 8- and
      10-bit image file formats.
    * Support for the "half" 16-bit floating-point pixel format.
    * Multiple lossless image compression algorithms. Some of the
      included codecs can achieve 2:1 lossless compression ratios on
      images with film grain.
    * Extensibility. New compression codecs and image types can easily
      be added by extending the C++ classes included in the OpenEXR
      software distribution. New image attributes (strings, vectors,
      integers, etc.) can be added to OpenEXR image headers without
      affecting backward compatibility with existing OpenEXR
      applications.
 .
 This package contains the following shared library:
    * IlmImf - a library that reads and writes OpenEXR images.

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/openexr-$1\.tar\.gz/, \
pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc" \
https://github.com/AcademySoftwareFoundation/openexr/tags .*/v?(\d\S+)\.tar\.gz

## openexr 2.5.7

=== IlmBase/Half/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

ilmbase_define_library(Half
  PRIV_EXPORT HALF_EXPORTS
  CURDIR ${CMAKE_CURRENT_SOURCE_DIR}
  SOURCES
    toFloat.h
    eLut.h
    half.cpp
  HEADERS
    half.h
    halfFunction.h
    halfExport.h
    halfLimits.h
)

=== IlmBase/HalfTest/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

add_executable(HalfTest
  main.cpp
  testArithmetic.cpp
  testBitPatterns.cpp
  testClassification.cpp
  testError.cpp
  testFunction.cpp
  testLimits.cpp
  testSize.cpp
  testToFloat.cpp
)

target_link_libraries(HalfTest IlmBase::Half)
set_target_properties(HalfTest PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin"
)
if(WIN32 AND (BUILD_SHARED_LIBS OR OPENEXR_BUILD_BOTH_STATIC_SHARED))
  target_compile_definitions(HalfTest PRIVATE OPENEXR_DLL)
endif()
add_test(NAME IlmBase.Half COMMAND $<TARGET_FILE:HalfTest>)

=== OpenEXR/IlmImfTest/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

add_executable(IlmImfTest
  compareB44.cpp
  compareDwa.cpp
  compareFloat.cpp
  main.cpp
  testAttributes.cpp
  testBackwardCompatibility.cpp
  testBadTypeAttributes.cpp
  testChannels.cpp
  testCompositeDeepScanLine.cpp
  testCompression.cpp
  testConversion.cpp
  testCopyDeepScanLine.cpp
  testCopyDeepTiled.cpp
  testCopyMultiPartFile.cpp
  testCopyPixels.cpp
  testCustomAttributes.cpp
  testDeepScanLineBasic.cpp
  testDeepScanLineHuge.cpp
  testDeepScanLineMultipleRead.cpp
  testDeepTiledBasic.cpp
  testDwaCompressorSimd.cpp
  testExistingStreams.cpp
  testFutureProofing.cpp
  testHuf.cpp
  testInputPart.cpp
  testIsComplete.cpp
  testLineOrder.cpp
  testLut.cpp
  testMagic.cpp
  testMalformedImages.cpp
  testMultiPartApi.cpp
  testMultiPartFileMixingBasic.cpp
  testMultiPartSharedAttributes.cpp
  testMultiPartThreading.cpp
  testMultiScanlinePartThreading.cpp
  testMultiTiledPartThreading.cpp
  testMultiView.cpp
  testNativeFormat.cpp
  testOptimized.cpp
  testOptimizedInterleavePatterns.cpp
  testPartHelper.cpp
  testPreviewImage.cpp
  testRgba.cpp
  testRgbaThreading.cpp
  testRle.cpp
  testSampleImages.cpp
  testScanLineApi.cpp
  testSharedFrameBuffer.cpp
  testStandardAttributes.cpp
  testTiledCompression.cpp
  testTiledCopyPixels.cpp
  testTiledLineOrder.cpp
  testTiledRgba.cpp
  testTiledYa.cpp
  testWav.cpp
  testXdr.cpp
  testYca.cpp
  testLargeDataWindowOffsets.cpp
  testB44ExpLogTable.cpp
  testDwaLookups.cpp
  random.cpp
)
target_compile_definitions(IlmImfTest PRIVATE ILM_IMF_TEST_IMAGEDIR="${CMAKE_CURRENT_SOURCE_DIR}/")
target_link_libraries(IlmImfTest OpenEXR::IlmImf)
set_target_properties(IlmImfTest PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin"
)
if(WIN32 AND (BUILD_SHARED_LIBS OR OPENEXR_BUILD_BOTH_STATIC_SHARED))
  target_compile_definitions(IlmImfTest PRIVATE OPENEXR_DLL)
endif()
add_test(NAME OpenEXR.IlmImf COMMAND $<TARGET_FILE:IlmImfTest>)

=== OpenEXR/exrenvmap/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

add_executable( exrenvmap
  makeLatLongMap.cpp
  readInputImage.cpp
  resizeImage.cpp
  makeCubeMap.cpp
  main.cpp
  blurImage.cpp
  EnvmapImage.cpp
)

target_link_libraries(exrenvmap OpenEXR::IlmImf)
set_target_properties(exrenvmap PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin"
)
install(TARGETS exrenvmap DESTINATION ${CMAKE_INSTALL_BINDIR})
if(WIN32 AND (BUILD_SHARED_LIBS OR OPENEXR_BUILD_BOTH_STATIC_SHARED))
  target_compile_definitions(exrenvmap PRIVATE OPENEXR_DLL)
endif()

=== OpenEXR/exrmakepreview/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

add_executable(exrmakepreview
  main.cpp
  makePreview.cpp
)
target_link_libraries(exrmakepreview OpenEXR::IlmImf)
set_target_properties(exrmakepreview PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin"
)
install(TARGETS exrmakepreview DESTINATION ${CMAKE_INSTALL_BINDIR})
if(WIN32 AND (BUILD_SHARED_LIBS OR OPENEXR_BUILD_BOTH_STATIC_SHARED))
  target_compile_definitions(exrmakepreview PRIVATE OPENEXR_DLL)
endif()

=== OpenEXR/exrmaketiled/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

add_executable(exrmaketiled 
  makeTiled.cpp
  main.cpp
  Image.cpp
)
target_link_libraries(exrmaketiled OpenEXR::IlmImf)
set_target_properties(exrmaketiled PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin"
)
install(TARGETS exrmaketiled DESTINATION ${CMAKE_INSTALL_BINDIR})
if(WIN32 AND (BUILD_SHARED_LIBS OR OPENEXR_BUILD_BOTH_STATIC_SHARED))
  target_compile_definitions(exrmaketiled PRIVATE OPENEXR_DLL)
endif()

=== PyIlmBase/PyImath/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

pyilmbase_define_module(imath
  LIBNAME PyImath
  PRIV_EXPORT PYIMATH_BUILD
  CURDIR ${CMAKE_CURRENT_SOURCE_DIR}
  LIBSOURCE
    PyImath.cpp
    PyImathAutovectorize.cpp
    PyImathBox2Array.cpp
    PyImathBox3Array.cpp
    PyImathBox.cpp
    PyImathColor3.cpp
    PyImathColor4.cpp
    PyImathEuler.cpp
    PyImathFixedArray.cpp
    PyImathFrustum.cpp
    PyImathLine.cpp
    PyImathMatrix22.cpp
    PyImathMatrix33.cpp
    PyImathMatrix44.cpp
    PyImathPlane.cpp
    PyImathQuat.cpp
    PyImathRandom.cpp
    PyImathShear.cpp
    PyImathStringArray.cpp
    PyImathStringTable.cpp
    PyImathTask.cpp
    PyImathUtil.cpp
    PyImathFixedVArray.cpp
    PyImathVec2fd.cpp
    PyImathVec2si.cpp
    PyImathVec3fd.cpp
    PyImathVec3siArray.cpp
    PyImathVec3si.cpp
    PyImathVec4fd.cpp
    PyImathVec4siArray.cpp
    PyImathVec4si.cpp
  MODSOURCE
    imathmodule.cpp
    PyImathFun.cpp
    PyImathBasicTypes.cpp
  HEADERS
    PyImath.h
    PyImathAutovectorize.h
    PyImathBasicTypes.h
    PyImathBox.h
    PyImathBoxArrayImpl.h
    PyImathColor.h
    PyImathColor3ArrayImpl.h
    PyImathColor4Array2DImpl.h
    PyImathColor4ArrayImpl.h
    PyImathDecorators.h
    PyImathEuler.h
    PyImathExport.h
    PyImathFixedArray.h
    PyImathFixedArray2D.h
    PyImathFixedMatrix.h
    PyImathFixedVArray.h
    PyImathFrustum.h
    PyImathFun.h
    PyImathLine.h
    PyImathM44Array.h
    PyImathMathExc.h
    PyImathMatrix.h
    PyImathOperators.h
    PyImathPlane.h
    PyImathQuat.h
    PyImathRandom.h
    PyImathShear.h
    PyImathStringArray.h
    PyImathStringArrayRegister.h
    PyImathStringTable.h
    PyImathTask.h
    PyImathUtil.h
    PyImathVec.h
    PyImathVec2Impl.h
    PyImathVec3ArrayImpl.h
    PyImathVec3Impl.h
    PyImathVec4ArrayImpl.h
    PyImathVec4Impl.h
    PyImathVecOperators.h
  DEPENDENCIES
    IlmBase::Iex IlmBase::IexMath IlmBase::Imath PyIlmBase::Config
  MODULE_DEPS PyIex
  )

=== PyIlmBase/PyImathTest/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

if(TARGET Python2::Interpreter)
  add_test(PyIlmBase.PyImathTest_Python2
    ${Python2_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pyImathTest.in
  )
  set_tests_properties(PyIlmBase.PyImathTest_Python2 PROPERTIES
    ENVIRONMENT "PYTHONPATH=${CMAKE_BINARY_DIR}/python${Python2_VERSION_MAJOR}_${Python2_VERSION_MINOR}"
  )
endif()

if(TARGET Python3::Interpreter)
  add_test(PyIlmBase.PyImathTest_Python3
    ${Python3_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pyImathTest.in
  )
  set_tests_properties(PyIlmBase.PyImathTest_Python3 PROPERTIES
    ENVIRONMENT "PYTHONPATH=${CMAKE_BINARY_DIR}/python${Python3_VERSION_MAJOR}_${Python3_VERSION_MINOR}"
  )
endif()

=== debian/changelog ===
openexr (2.5.7-1) unstable; urgency=medium

  * New upstream release
    - debian/control: bump libilmbase-dev version
    - debian/patches/series: drop CVE-2021-23169.diff
      (applied upstream)
    This release addresses following security issues:
    + CVE-2021-26260 and CVE-2021-23215
    | An integer overflow leading to a heap-buffer overflow
    | was found in the DwaCompressor of OpenEXR in versions
    | before 3.0.1. An attacker could use this flaw to crash
    | an application compiled with OpenEXR.
    + CVE-2021-3605 and CVE-2021-3598
    | There's a flaw in OpenEXR's rleUncompress functionality
    | in versions prior to 3.0.5. An attacker who is able to
    | submit a crafted file to an application linked with
    | OpenEXR could cause an out-of-bounds read.
    | The greatest risk from this flaw is to application
    | availability.
  * debian/watch: change path and narrow down search

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 28 Aug 2021 22:20:22 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  debhelper-compat (= 13),
  dh-buildinfo,
  dpkg-dev (>= 1.18.0),
- libilmbase-dev (>= 2.5.4),
+ libilmbase-dev (>= 2.5.7),
  pkg-config,
  zlib1g-dev
 Standards-Version: 4.5.1

=== debian/rules ===
#!/usr/bin/make -f
# © 2009 Cyril Brulebois <kibi@debian.org>

# https://bugs.debian.org/793041
export AUTOHEADER = true
export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow

DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
IGNORE_CHECK_RESULTS_ARCHS := alpha hppa mips

# Need to disable the test suite on all architectures:
override_dh_auto_test:
	-dh_auto_test

# No need to compress .pdf files:
override_dh_compress:
	dh_compress -X.pdf -X.cpp -X.h

%:
	dh $@ -Bbuild -DOpenEXR -Scmake
